// sand_loot_modify.js

// Modifica a tabela de loot de todos os blocos de areia
onEvent('block.loot_tables', event => {
  event.modifyBlock('minecraft:sand', table => {
    // Pool extra que dá chance de cair flint
    table.addPool(pool => {
      pool.rolls = 1                 // executa o pool uma vez
      pool.survivesExplosion()      // mantém a chance em explosões
      pool.addItem('minecraft:flint')
          .randomChance(0.15)       // 10% de chance de cair flint
    })
  })
})
